#!/usr/bin/perl -w
use strict;
use warnings;
use Bio::TreeIO;
use Bio::Tree::TreeFunctionsI;
my @trees=glob"*_IBlabeled.itol";
foreach my $file (@trees) {
	next unless $file=~m/(?<id>.+)_IBlabeled.itol/gi;
	my $id_name=$+{id};
    my $treein = Bio::TreeIO->new(-file => "$file",-format => "newick",-internal_node_id => 'bootstrap');
    while (my $tree = $treein->next_tree()) {
		#$tree->move_id_to_bootstrap;
	  my @nodes = $tree->get_nodes;
      foreach my $node ( @nodes ) {
	     unless ($node->is_Leaf) {
		  my $frq = $node->bootstrap;
		   my @child_names;
		   foreach my $child ( $node->get_all_Descendents ) {my $child_name= $child->id;if ( defined $child_name && $child_name=~m/\w+/){push @child_names, $child_name unless $child_name=~m/I\d+/;}}
		   my @sorted_child_names=sort { $a cmp $b }@child_names;
		   my $subtaxa=join( ",", @sorted_child_names);
		   if (defined $frq) {
			my $out= "${id_name}_internades.txt";
            open (OUT,">>", $out) or die "Can't write the file $out: $!";
			print OUT "$frq\t$subtaxa\n";
			close OUT;
		   }
	     }
	  }     
   }
}


