#!/usr/bin/perl
use strict;
use warnings;
use Bio::TreeIO;
my @filenames = glob("*.tre");
foreach my $filename (@filenames) {
  next unless $filename=~m/(?<file>\w+).tre/i;
  my $gene=$+{file};
  print "$gene\n";
  my $outfile="${gene}_taxalist.txt";
  open(OUT, ">>", $outfile) or die "can't write the file $outfile:$!";
  my $input = new Bio::TreeIO(-file => "$filename",-format => "newick",-internal_node_id => 'bootstrap');
    while (my $tree = $input->next_tree) {
	   my @leaves = $tree->get_leaf_nodes;
       foreach my $leaf (@leaves) {
		   my $taxaname=$leaf->id;##taxaname##
		  my $leaf_len =$leaf->branch_length;
		   print OUT "$taxaname\t$leaf_len\n";
	  }

     }
	 		  close OUT; 
}


