library(phytools)
library(ape)
tree<-read.tree("Saccharomycotina_Pezizomycotina_815genes_ml_root.tre")
#plotTree(tree,node.numbers=T,fsize=0.8,ftype="off")
all<-read.table("Pezizomycotina_Saccharomycotina_rate_GC_genome_size_genes__DNA_repair_tRNAs_dN2dS_small.txt",header=T,sep = "\t") 

all_rate<-setNames(all$root2tip_distance_113taxa_ml,all$new_taxaID)
obj_rate<-contMap(tree,all_rate,method="fastAnc",plot=FALSE)
obj_rate<-setMap(obj_rate,invert=TRUE)

source ("E:/R/multiplot.R") 
pdf(file="group.pdf", bg="transparent",height=10, width=10)
plot(obj_rate,type="fan",ftype="off", outline=F,lwd=c(2,3),legend=F)
arc.cladelabels(text="Lip",node=findMRCA(tree,c("Lipomyces_doorenjongii","Lipomyces_japonicus")))
arc.cladelabels(text="Tri",node=findMRCA(tree,c("Tortispora_starmeri","Trigonopsis_variabilis")))
arc.cladelabels(text="Dip",node=findMRCA(tree,c("Blastobotrys_serpentis","Candida_hispaniensis")))
arc.cladelabels(text="All",node=findMRCA(tree,c("Alloascoidea_hylecoeti","Alloascoidea_hylecoeti")))
arc.cladelabels(text="Spo",node=findMRCA(tree,c("Sporopachydermia_lactativora","Sporopachydermia_quercuum")))
arc.cladelabels(text="Ala",node=findMRCA(tree,c("Nakazawaea_peltata","Pachysolen_tannophilus")))
arc.cladelabels(text="Pic",node=findMRCA(tree,c("Candida_succiphila","Citeromyces_hawaiiensis")))
arc.cladelabels(text="Ser1",node=findMRCA(tree,c("Aciculoconidium_aculeatum","Babjeviella_inositovora")))
arc.cladelabels(text="Ser2",node=findMRCA(tree,c("Ascoidea_rubescens","Saccharomycopsis_capsularis")))
arc.cladelabels(text="Pha",node=findMRCA(tree,c("Candida_orba","Candida_ponderosae")))
arc.cladelabels(text="Sad",node=findMRCA(tree,c("Hanseniaspora_clermontiae","Hanseniaspora_osmophila")))
arc.cladelabels(text="Sat",node=findMRCA(tree,c("Ashbya_aceri","Candida_bracarensis")))
arc.cladelabels(text="Pez",node=findMRCA(tree,c("Morchella_septimelata","Pyronema_omphalodes")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Orb",node=findMRCA(tree,c("Dactylellina_haptotyla","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Sor",node=findMRCA(tree,c("Ambrosiella_xylebori","Annulohypoxylon_stygium")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Leo",node=findMRCA(tree,c("Phialophora_cf._hyalina_BP_5553","Pseudogymnoascus_destructans")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Art",node=findMRCA(tree,c("Arthonia_radiata","Arthonia_radiata")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Dot",node=findMRCA(tree,c("Acidomyces_richmondensis","Alternaria_alternata")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Xyl",node=findMRCA(tree,c("Symbiotaphrina_buchneri","Xylona_heveae")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Lec",node=findMRCA(tree,c("Gyalolechia_flavorubescens","Lasallia_hispanica")),ln.offset=0.6,lab.offset=0.65)
arc.cladelabels(text="Eur",node=findMRCA(tree,c("Byssoonygena_ceratinophila","Capronia_coronata")),ln.offset=0.6,lab.offset=0.65)
dev.off()


Lip	Lipomycetaceae	Lipomyces_doorenjongii	Lipomyces_japonicus
Tri	Trigonopsidaceae	Tortispora_starmeri	Trigonopsis_variabilis
Dip	Dipodascaceae/Trichomonascaceae	Blastobotrys_serpentis	Candida_hispaniensis
All	Alloascoideaceae	Alloascoidea_hylecoeti	Alloascoidea_hylecoeti
Spo	Sporopachydermia	Sporopachydermia_lactativora	Sporopachydermia_quercuum
Ala	CUG-Ala	Nakazawaea_peltata	Pachysolen_tannophilus
Pic	Pichiaceae	Candida_succiphila	Citeromyces_hawaiiensis
Ser1	CUG-Ser1	Aciculoconidium_aculeatum	Babjeviella_inositovora
Ser2	CUG-Ser2	Ascoidea_rubescens	Saccharomycopsis_capsularis
Pha	Phaffomycetaceae	Candida_orba	Candida_ponderosae
Sad	Saccharomycodaceae	Hanseniaspora_clermontiae	Hanseniaspora_osmophila
Sat	Saccharomycetaceae	Ashbya_aceri	Candida_bracarensis
Pez	Pezizomycetes	Morchella_septimelata	Pyronema_omphalodes
Orb	Orbiliomycetes	Dactylellina_haptotyla	Drechslerella_stenobrocha
Sor	Sordariomycetes	Ambrosiella_xylebori	Annulohypoxylon_stygium
Leo	Leotiomycetes	Phialophora_cf._hyalina_BP_5553	Pseudogymnoascus_destructans
Art	Arthoniomycetes	Arthonia_radiata	Arthonia_radiata
Dot	Dothideomycetes	Acidomyces_richmondensis	Alternaria_alternata
Xyl	Xylonomycetes	Symbiotaphrina_buchneri	Xylona_heveae
Lec	Lecanoromycetes	Gyalolechia_flavorubescens	Lasallia_hispanica
Eur	Eurotiomycetes	Byssoonygena_ceratinophila	Capronia_coronata
