
http://www.phytools.org/Cordoba2017/ex/7/Anc-states-continuous.html
https://www.rdocumentation.org/packages/ape/versions/5.3/topics/plot.phylo
http://phylogenetic53.rssing.com/chan-6663370/all_p8.html
http://blog.phytools.org/2015/04/plottreewbars-with-tip-labels.html

#http://blog.phytools.org/2017/10/plotting-contmap-tree-with-custom.html
#http://blog.phytools.org/2017/02/
#plot.phylo#
library(phytools)
#library(ape)
tree<-read.tree("Saccharomycotina_Pezizomycotina_815genes_ml_root.tre")
#plotTree(tree,node.numbers=T,fsize=0.8,ftype="off")
all<-read.table("Pezizomycotina_Saccharomycotina_rate_GC_genome_size_genes__DNA_repair_tRNAs_dN2dS_small.txt",header=T,sep = "\t") 

all_rate<-setNames(all$root2tip_distance_113taxa_ml,all$new_taxaID)
obj_rate<-contMap(tree,all_rate,method="fastAnc",plot=FALSE)
obj_rate<-setMap(obj_rate,invert=TRUE)


#obj_rate<-contMap(tree,all_rate,lims=seq(0, 3, by = 1))
all_gc<-setNames(all$GC_content,all$new_taxaID)
obj_gc<-contMap(tree,all_gc,method="fastAnc",plot=FALSE)
obj_gc<-setMap(obj_gc,invert=TRUE)

all_genome<-setNames(all$Genome_Size_Mb,all$new_taxaID)
obj_genome<-contMap(tree,all_genome,method="fastAnc",plot=FALSE)
obj_genome<-setMap(obj_genome,invert=TRUE)

all_genes<-setNames(all$No_genes,all$new_taxaID)
obj_genes<-contMap(tree,all_genes,method="fastAnc",plot=FALSE)
obj_genes<-setMap(obj_genes,invert=TRUE)

all_repair<-setNames(all$No_DNA_repair_genes,all$new_taxaID)
obj_repair<-contMap(tree,all_repair,method="fastAnc",plot=FALSE)
obj_repair<-setMap(obj_repair,invert=TRUE)

all_tRNA<-setNames(all$No_tRNA_genes,all$new_taxaID)
obj_tRNA<-contMap(tree,all_tRNA,method="fastAnc",plot=FALSE)
obj_tRNA<-setMap(obj_tRNA,invert=TRUE)

all_dN2dS<-setNames(all$dN2dS_all,all$new_taxaID)
obj_dN2dS<-contMap(tree,all_dN2dS,method="fastAnc",plot=FALSE)
obj_dN2dS<-setMap(obj_dN2dS,invert=TRUE)




source ("E:/R/multiplot.R") 
pdf(file="rate_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_rate,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="Evolutionary rate")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()

source ("E:/R/multiplot.R") 
pdf(file="GC_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_gc,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="GC content (%)")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()

source ("E:/R/multiplot.R") 
pdf(file="Genome_size_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_genome,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="Genome size (Mb)")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()

source ("E:/R/multiplot.R") 
pdf(file="genes_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_genes,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="Number of genes")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()

source ("E:/R/multiplot.R") 
pdf(file="repair_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_repair,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="No. of DNA repair genes")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()

source ("E:/R/multiplot.R") 
pdf(file="tRNA_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_tRNA,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="No. of tRNA genes")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()

source ("E:/R/multiplot.R") 
pdf(file="dN2dS_mapped.pdf", bg="transparent",height=10, width=10)
plot(obj_dN2dS,type="fan",legend=1.0*max(nodeHeights(tree)),ftype="off", outline=F,lwd=c(2,3),leg.txt="dN/dS ratio")
arc.cladelabels(text="Saccharomycotina",node=findMRCA(tree,c("Saccharomyces_cerevisiae","Lipomyces_japonicus")))
arc.cladelabels(text="Pezizomycotina",wing.length=2,node=findMRCA(tree,c("Aspergillus_neoniger","Drechslerella_stenobrocha")),ln.offset=0.6,lab.offset=0.65)
dev.off()


#obtain internode values #
all<-read.table("Pezizomycotina_Saccharomycotina_rate_GC_genome_size_genes__DNA_repair_tRNAs_dN2dS_small.txt",header=T,sep = "\t") 
all_rate<-setNames(all$root2tip_distance_113taxa_ml,all$new_taxaID)
fit<-fastAnc(tree,all_rate)
fit[1]#Pezizomycotina_Saccharomycotina
fit[2]#Saccharomycotina
fit[333] #Pezizomycotina
